View Issue Details

IDProjectCategoryView StatusLast Update
0002004GNUnetotherpublic2018-06-07 00:24
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0002004: apparmor profile
Descriptionioerror would like an apparmor profile for GNUnet. That'll take some effort...
TagsNo tags attached.

Activities

jay-to-the-dee

2014-09-29 18:23

reporter   ~0008590

Last edited: 2014-09-29 18:23

View 2 revisions

Vote for this! Seems like a good idea seeing as the software is so experimental and it's (probably) running as the primary user! I can see why it would take quite a bit of effort though seeing as there's so many different binaries that make up GNUnet!

jay-to-the-dee

2014-09-30 05:39

reporter   ~0008591

Made a start myself on this, seem to be having a fair amount of success so far! Spent quite a few hours making profiles and now able to run on enforce mode! Where shall I post the profiles once I'm done making them?

Christian Grothoff

2014-09-30 08:40

manager   ~0008592

You can simply attach them (tgz, zip) to this report.

Christian Grothoff

2015-11-26 11:23

manager   ~0009948

contrib/apparmor/ now contains apparmor profiles for GNUnet services.

Issue History

Date Modified Username Field Change
2011-12-13 10:51 Christian Grothoff New Issue
2011-12-13 10:52 Christian Grothoff Priority normal => low
2011-12-13 10:52 Christian Grothoff Status new => acknowledged
2012-02-21 22:05 Christian Grothoff Target Version => 0.9.5
2012-06-22 10:57 Christian Grothoff Target Version 0.9.5 => 0.10.0
2012-10-07 14:07 Christian Grothoff Product Version => SVN HEAD
2012-10-07 14:07 Christian Grothoff Target Version 0.10.0 =>
2014-09-29 18:23 jay-to-the-dee Note Added: 0008590
2014-09-29 18:23 jay-to-the-dee Note Edited: 0008590 View Revisions
2014-09-30 05:39 jay-to-the-dee Note Added: 0008591
2014-09-30 08:40 Christian Grothoff Note Added: 0008592
2015-11-26 11:23 Christian Grothoff Note Added: 0009948
2015-11-26 11:23 Christian Grothoff Status acknowledged => resolved
2015-11-26 11:23 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-11-26 11:23 Christian Grothoff Resolution open => fixed
2015-11-26 11:23 Christian Grothoff Assigned To => Christian Grothoff
2015-11-26 11:23 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed